This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 10081 - Parallel port IRQ not found
Parallel port IRQ not found
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-09 01:29 EST by davidhinz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-09 11:14:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description davidhinz 2000-03-09 01:29:27 EST
RedHat 6.1
Kernel 2.2.12-20

Using a Gateway 486DX2-50V system the parallel port IRQ is not found when
the system boots.  Even after disabling the parallel port in the BIOS and
adding a new multi-I/O card (2 serial, 1 parallel port) the IRQ is still
not found.  I've tried ECP, EPP, and normal parallel port modes.  The
/proc/ioport file shows parport0 at x378-x37A.  But /proc/interrupts does
not show IRQ 7 as the board is configured.  I've also tried IRQ's 12 and
15, but they don't show up either.  The /proc/parport/0/devices, hardware,
irq, and autoprobe files are empty (and never change.)

I've loaded the latest version of modutils-2.3.9-6.i386

The kernel has not been rebuilt and only the modutils package above has
been added.

Printing from the port does work (sometimes), but is not very reliable.
When trying to use the "Postscript test" from printtool I keep getting
buffer overruns at the printer.
Comment 1 Bill Nottingham 2000-03-09 11:14:59 EST
Add:

options parport_pc io=0x378 irq=7

to /etc/conf.modules, and then reload the lp driver
('modprobe -r lp, modprobe lp')

Note You need to log in before you can comment on or make changes to this bug.